Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog
Class YAPSubprocessEngine

    java.lang.Object
      com.declarativa.interprolog.AbstractPrologEngine
          com.declarativa.interprolog.SubprocessEngine
              com.declarativa.interprolog.YAPSubprocessEngine

All Implemented Interfaces:
  PrologEngine

public class YAPSubprocessEngine
extends SubprocessEngine

A PrologEngine encapsulating a YAP Prolog engine, accessed over TCP/IP sockets.

Field Summary

Fields inherited from class com.declarativa.interprolog.AbstractPrologEngine
`firstJavaMessageName, interrupting, nl, prologBinDirectoryOrCommand`

Fields inherited from interface com.declarativa.interprolog.PrologEngine
`MAX_INT_VALUE, MIN_INT_VALUE, version`

Constructor Summary
`YAPSubprocessEngine()`
`YAPSubprocessEngine(boolean debug)`
`YAPSubprocessEngine(String prologCommand)`
`YAPSubprocessEngine(String prologCommand, boolean debug)`
`YAPSubprocessEngine(String prologCommand, boolean debug, boolean loadFromJar)`

Method Summary
`boolean` | `realCommand(String s)` This implementation may get stuck if the command includes variables, because the Prolog top level interpreter may offer to compute more solutions; use variables prefixed with '_'

Methods inherited from class com.declarativa.interprolog.SubprocessEngine
`addPrologOutputListener, addPrologStderrListener, addPrologStdoutListener, deterministicGoal, isAvailable, removePrologOutputListener, removePrologStderrListener, removePrologStdoutListener, sendAndFlush, sendAndFlushLn, setDebug, shutdown`

Methods inherited from class com.declarativa.interprolog.AbstractPrologEngine
`abortTasks, assignableType, command, consultAbsolute, consultFromPackage, consultRelative, deterministicGoal, deterministicGoal, deterministicGoal, deterministicGoal, doCallback, endAllTasks, findConstructor, findMethod, firstJavaMessage, getImplementationPeer, getJarDirectory, getJarDirectory, getLoadFromJar, getPrologBaseDirectory, getPrologNumericVersion, getPrologVersion, getRealJavaObject, getRealJavaObject, getRealJavaObject, handleCallback, interrupt, interruptTasks, isDebug, isIdle, isMacOS, isShutingDown, isWindowsOS, load_dynRelative, makeInvisible, printBindings, progressMessage, prologBinToBaseDirectory, registerJavaObject, setThreadedCallbacks, shortClassName, teachMoreObjects, teachMoreObjects, teachMoreObjects, teachOneObject, unescapedFilePath, unregisterJavaObject, unregisterJavaObject, unregisterJavaObjects, waitUntilAvailable, waitUntilIdle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YAPSubprocessEngine

    public YAPSubprocessEngine(String prologCommand,
                               boolean debug,
                               boolean loadFromJar)

### YAPSubprocessEngine

    public YAPSubprocessEngine(String prologCommand,
                               boolean debug)

### YAPSubprocessEngine

    public YAPSubprocessEngine(String prologCommand)

### YAPSubprocessEngine

    public YAPSubprocessEngine(boolean debug)

### YAPSubprocessEngine

    public YAPSubprocessEngine()

Method Detail

### realCommand

    public boolean realCommand(String s)

  Description copied from class: `SubprocessEngine`
  This implementation may get stuck if the command includes variables, because the Prolog top level interpreter may offer to compute more solutions; use variables prefixed with '_'

  Overrides:
    `realCommand` in class `SubprocessEngine`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD